9base (1:6-14) unstable; urgency=medium

  * QA upload.
  * Fix building with -Werror=implicit-function-declaration.
    (Closes: #1066252)
  * Fix fopen() mode values for hurd, thanks to Ola Ekström. (Closes: #838198)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Apr 2024 11:49:54 +0200

9base (1:6-13) unstable; urgency=medium

  * QA upload.
  * Update /etc/shells via dpkg triggers. Thanks Helmut Grohne
    (closes: #1023316)

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 12 Nov 2022 21:48:16 +0800

9base (1:6-12) unstable; urgency=medium

  * QA upload.
  * Changed the system to rely on dh_strip, avoiding an upstream build system
    strip. Thanks to Helmut Grohne <helmut@subdivi.de>. Consequently:
      - debian/patches/0011-nostrip.patch: created to make adjustments in
        upstream source code.
      - debian/rules: added a STRIP variable.
      - Closes: #1003412
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright: updated packaging copyright data.
  * debian/lintian-overrides: updated some overrides to be compliant with the
    most recent lintian.
  * debian/tests/control: removed tests using ampersand to run in background.
  * debian/upstream/metadata: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Mar 2022 17:15:01 -0300

9base (1:6-11) unstable; urgency=medium

  * QA upload.
  * Add upstream sha1sum patch (Closes: #983017)
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Feb 2021 09:30:20 +0100

9base (1:6-10) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #956971)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 25 Jul 2020 21:06:24 -0300

9base (1:6-9) unstable; urgency=medium

  * QA upload.
  * Removed prefix '9base' from all file names in debian/.
  * debian/control:
      - Improved long description.
      - Removed the Suggests field because wmii2 is no longer in Debian since
        2011.
  * debian/copyright: reviewed and updated all rights for upstream source code
    and for packaging.
  * debian/lintian.overrides: updated to make it compliant with several issues.
  * debian/patches/:
      - 0008-rc-Default-to-a-traditional-prompt.patch: added a patch.
      - 0009-fix-non-verbose-build.patch: created to allow blhc analyze the
        build.
  * debian/README.Debian: added information about how use man command to read
    the manpages.
  * debian/tests/*: created to provide CI tests for all available commands.
  * debian/watch:
      - Bumped to version 4.
      - Improved the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Apr 2020 21:00:24 -0300

9base (1:6-8) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Bumped Standards-Version to 4.5.0.
      - Improved long description.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

  [ Boyuan Yang ]
  * debian/control:
    + Bump debhelper compat to v12.

  [ Keller Fuchs ]
  * debian/control: Move packaging repository to salsa.d.o.
  * debian/copyright: Refresh information.
  * debian/: Add maintainer scripts for alternatives and /etc/shells.
  * debian/rules:
    + Enable hardening-related flags.
    + Rely on pkg-info.mk and standard variables.
    + Simplify find(1) call.
  * debian/9base.lintian-overrides: Update lintian overrides.

  [ Ryan Petersen ]
  * debian/patches/0008-rc-Default-to-a-traditional-prompt.patch:
    Reverted default prompt to the traditional percent-sign instead of
    a semicolon.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 2-1.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 30 Mar 2020 01:41:34 -0300

9base (1:6-7) unstable; urgency=medium

  * Orphaning the package.
  * Update the Vcs-* headers to point at collab-maint.
  * Update debian/copyright, to reflect my copyright assignment to SFC.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 30 Sep 2015 12:51:45 +0200

9base (1:6-6) unstable; urgency=low

  * Add a watch file, thanks to Andy Simpkins <andy-debian@koipond.org.uk>
    (Closes: #695163)
  * Use F_SETFD instead of F_SETFL to set FD_CLOEXEC, patch from Guillem
    Jover <guillem@debian.org> (Closes: #696247)
  * Based on work by Sergey Romanov <schragge@gmail.com>:
    + Move troff data to /usr/share/9base/troff.
    + Various man page tweaks
    + Move to debhelper compat level 9.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 14:50:06 +0100

9base (1:6-5) unstable; urgency=low

  * New maintainer (Closes: #647092).
  * Include 'strings' in the long description (Closes: #622177).
  * Remove empty manual pages: better no manpages than an empty one.
  * Fix the troff macros to look for include files at the right location.
  * Update README.Debian, to show how to display the plan9 man pages properly.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 15 Dec 2011 14:15:57 +0100

9base (1:6-4) unstable; urgency=low

  * New maintainer

 -- Kai Hendry <hendry@iki.fi>  Sun, 05 Dec 2010 15:51:57 +0000

9base (1:6-3) experimental; urgency=low

  * Updating package to debhelper 8.
  * Switching to source format 3.0 (quilt).
  * Updating variable handing in rules.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Nov 2010 09:57:39 +0100

9base (1:6-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Updating to standards version 3.9.1.
  * Building on all architectures again, appears to build on ia64 again
    (Closes: #599952).
  * Removing suggest to 9mount.

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Oct 2010 21:51:20 +0200

9base (1:6-1) unstable; urgency=low

  * Adding Kai as co-maintainer.
  * Merging upstream version 6.

 -- Daniel Baumann <daniel@debian.org>  Fri, 04 Jun 2010 17:22:03 +0200

9base (1:5-1) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Sorting dh call in rules to more common order.
  * Updating README.source.
  * Updating lintian overrides.

  [ Kai Hendry ]
  * Merging upstream version 5.

 -- Kai Hendry <hendry@iki.fi>  Sun, 25 Apr 2010 14:35:21 +0100

9base (1:4-1) unstable; urgency=low

  * Adding maintainer homepage field to control.
  * Marking maintainer homepage field to be also included in binary
    packages and changelog.
  * Adding README.source.
  * Merging upstream version 4.
  * Adding sh4 to explicit architecture list (Closes: #545772).
  * Moving maintainer homepage field from control to copyright.
  * Updating README.source.
  * Updating homepage field in control.
  * Removing manpage patch, went upstream.
  * Removing kfreebsd.patch, went upstream.
  * Generalizing manpage moving in rules.
  * Moving base directory from /usr/lib/9base to /usr/lib/plan9 for
    consistency reasons.
  * Prefixing manpages with plan9 instead of 9base for consistency
    reasons.
  * Bumping versioned build-depends on debhelper.
  * Making internal mkMAP and sendcover scripts executable.
  * Adding patch to adjust shebang in newly included troff commands.
  * Updating lintian-overrides.
  * Making buildd-depends on quilt versioned.

 -- Daniel Baumann <daniel@debian.org>  Sat, 07 Nov 2009 12:25:14 +0100

9base (1:3-3) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Updating variables writing in rules to consistent style.

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Aug 2009 17:34:06 +0200

9base (1:3-2) unstable; urgency=low

  * Adding patch to adjust rc to debian specific filesystem location.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Aug 2009 18:13:08 +0200

9base (1:3-1) unstable; urgency=low

  * Upgrading package to standards version 3.8.2.
  * Updating year in copyright file.
  * Updating rules file to current state of the art.
  * Merging upstream version 3.
  * Updating year in copyright file.
  * Rediffing manpage.patch.
  * Removing architectures that debian dropped from the explicit
    architecture field.
  * Sorting depends.
  * Minimizing rules file.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Aug 2009 10:22:48 +0200

9base (1:2-10) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Updating suggests.
  * Updating make install call in rules.
  * Using quilt rather than dpatch.
  * Updating indenting in README.Debian.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Dec 2008 20:57:00 +0100

9base (1:2-9) unstable; urgency=low

  * Adding version 2+20071126-1 to debian changelog.
  * Upgrading package to debhelper 7.
  * Upgrading package to standards 3.8.0.
  * Adding vcs fields in control.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Removing watch file.
  * Using lintian debhelper to install lintian overrides.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.

 -- Daniel Baumann <daniel@debian.org>  Sat, 08 Nov 2008 08:08:00 +0100

9base (1:2-8) unstable; urgency=low

  * Bumping to new policy.
  * Using new homepage field in control.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 11:36:00 +0100

9base (1:2+20071126-1) experimental; urgency=low

  * Testing upstream snapshot (Closes: #421482).

 -- Daniel Baumann <daniel@debian.org>  Mon, 26 Nov 2007 21:40:00 +0100

9base (1:2-7) unstable; urgency=low

  * Reverting to last know working version (Closes: #421482).

 -- Daniel Baumann <daniel@debian.org>  Mon, 30 Jul 2007 08:41:00 +0200

9base (2+20070601-2) unstable; urgency=low

  * Temporarily remove s390 from architectures (Closes: #421482).

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Jun 2007 23:23:00 +0200

9base (2+20070601-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Fri, 01 Jun 2007 18:59:00 +0200

9base (2+20070501-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Tue, 01 May 2007 08:52:00 +0200

9base (2+20070429-1) unstable; urgency=low

  * New upstream snapshot.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Apr 2007 12:01:00 +0200

9base (2-6) unstable; urgency=low

  * Added patch from Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> to fix
    FTBFS on kfreebsd (Closes: #414224).

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Mar 2007 08:56:00 +0100

9base (2-5) unstable; urgency=low

  * Added armeb and armel to the explicit architecture list (Closes: #408765).

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Jan 2007 13:12:00 +0100

9base (2-4) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Fri, 19 Jan 2007 09:51:00 +0100

9base (2-3) unstable; urgency=medium

  * Excluding ia64 manually.

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 Sep 2006 12:08:00 +0200

9base (2-2) unstable; urgency=low

  * New email address.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Jul 2006 23:27:00 +0200

9base (2-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed, 25 Jan 2006 15:33:00 +0100

9base (1+20060123-1) unstable; urgency=low

  * New upstream snapshot, should fix FTBFS on most !i386 architectures.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Tue, 24 Jan 2006 15:26:00 +0100

9base (1-1) unstable; urgency=low

  * Initial release.

 -- Daniel Baumann <daniel.baumann@panthera-systems.net>  Wed, 28 Dec 2005 13:32:00 +0100
